# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /var/folders/nz/j6p8yfhx1mv_0grj5xl4650h0000gp/T/abs_f4de1ncc53/clone/recipe, last modified Fri May 19 16:40:02 2023
# ------------------------------------------------

package:
  name: spacy-pkuseg
  version: 0.0.32
source:
  sha256: f72d9365138e9083a5e78bba8e87190f85ad3f90adddb55f69c58aa862c8484c
  url: https://pypi.io/packages/source/s/spacy-pkuseg/spacy_pkuseg-0.0.32.tar.gz
build:
  number: '0'
  script: /var/folders/nz/j6p8yfhx1mv_0grj5xl4650h0000gp/T/abs_f4de1ncc53/croot/spacy-pkuseg_1684532411883/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_p/bin/python
    -m pip install . --no-deps --no-build-isolation -vv
  string: py38hb6aeb05_0
requirements:
  build:
    - cctools_osx-arm64 949.0.1 h332cad3_25
    - clang 14.0.6 hca03da5_1
    - clang-14 14.0.6 default_h1b80db6_1
    - clang_osx-arm64 14.0.6 h9ff6fda_0
    - clangxx 14.0.6 default_h1b80db6_1
    - clangxx_osx-arm64 14.0.6 h72866fe_0
    - compiler-rt 14.0.6 h4ccfd99_0
    - compiler-rt_osx-arm64 14.0.6 h4fb70ea_0
    - ld64_osx-arm64 530 h001ce53_25
    - ldid 2.1.2 h64d1936_2
    - libclang-cpp14 14.0.6 default_h1b80db6_1
    - libcxx 14.0.6 h848a8c0_0
    - libffi 3.4.4 hca03da5_0
    - libllvm14 14.0.6 h7ec7a93_3
    - llvm-tools 14.0.6 hfd8c8a6_3
    - tapi 1100.0.11 h8754e6a_1
    - zlib 1.2.13 h5a0b063_0
  host:
    - blas 1.0 openblas
    - ca-certificates 2023.01.10 hca03da5_0
    - cython 0.29.33 py38h313beb8_0
    - libcxx 14.0.6 h848a8c0_0
    - libffi 3.4.4 hca03da5_0
    - libgfortran 5.0.0 11_3_0_hca03da5_28
    - libgfortran5 11.3.0 h009349e_28
    - libopenblas 0.3.21 h269037a_0
    - llvm-openmp 14.0.6 hc6e5704_0
    - ncurses 6.4 h313beb8_0
    - numpy 1.21.5 py38h42add53_3
    - numpy-base 1.21.5 py38hadd41eb_3
    - openssl 1.1.1t h1a28f6b_0
    - pip 23.0.1 py38hca03da5_0
    - python 3.8.16 hc0d8a6c_3
    - readline 8.2 h1a28f6b_0
    - setuptools 66.0.0 py38hca03da5_0
    - sqlite 3.41.2 h80987f9_0
    - tk 8.6.12 hb8d0fd4_0
    - wheel 0.38.4 py38hca03da5_0
    - xz 5.4.2 h80987f9_0
    - zlib 1.2.13 h5a0b063_0
  run:
    - libcxx >=14.0.6
    - numpy >=1.21.5,<2.0a0
    - python >=3.8,<3.9.0a0
    - srsly >=2.3.0,<3.0.0
test:
  commands:
    - pip check
    - python -m pytest --tb=native --pyargs spacy_pkuseg
  imports:
    - spacy_pkuseg
  requires:
    - pip
    - pytest
about:
  description: 'This package is a fork of pkuseg-python that simplifies installation

    and serialization for use with spaCy. The underlying segmentation

    tools remain unmodified.

    '
  dev_url: https://github.com/explosion/spacy-pkuseg
  doc_url: https://github.com/explosion/spacy-pkuseg/blob/master/readme/readme_english.md
  home: https://github.com/explosion/spacy-pkuseg
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: PKUSeg Chinese word segmentation toolkit for spaCy
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: f4c2ab2b-021d-4de3-850e-9988d663955c
  recipe-maintainers:
    - adrianeboyd
    - honnibal
    - ines
  remote_url: git@github.com:AnacondaRecipes/spacy-pkuseg-feedstock.git
  sha: 59a8c73067ae8bf5b273ab1c190f7bf8a3e5a3a1
